Bug 16857 - patron-attr-types.tt: Get rid of warnings "Argument "" isn't numeric"
Summary: patron-attr-types.tt: Get rid of warnings "Argument "" isn't numeric"
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-06 07:18 UTC by Marc Véron
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16857 - patron-attr-types.tt: Get rid of warnings "Argument "" isn't numeric" (1.64 KB, patch)
2016-07-06 07:23 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16857 - patron-attr-types.tt: Get rid of warnings "Argument "" isn't numeric" (1.68 KB, patch)
2016-07-07 03:27 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 16857 - patron-attr-types.tt: Get rid of warnings "Argument "" isn't numeric" (1.75 KB, patch)
2016-07-07 15:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16857: Check on item.branches makes more sense (1.34 KB, patch)
2016-07-07 15:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-07-06 07:18:35 UTC
To verify: 
- Go to Home > Administration > Patron attribute types
- Make sure you have some patron attribute types with no branches limitation
- For each attribute type you get a warning in intranet-error.log:
patron-attr-types.pl: Argument "" isn't numeric in numeric gt (>) at (...)/koha-tmpl/intranet-tmpl/prog/en/modules/admin/patron-attr-types.tt line 284.
Comment 1 Marc Véron 2016-07-06 07:23:03 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2016-07-07 03:27:39 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-07-07 15:42:58 UTC
Created attachment 53181 [details] [review]
Bug 16857 - patron-attr-types.tt: Get rid of warnings "Argument "" isn't numeric"

To vrify:
- Go to Home > Administration > Patron attribute types
- Make sure you have some patron attribute types with no branches limitation
- For each attribute type you get a warning in intranet-error.log:
patron-attr-types.pl: Argument "" isn't numeric in numeric gt (>) at (...)/koha-tmpl/intranet-tmpl/prog/en/modules/admin/patron-attr-types.tt line 284.

To test:
- Appy patch
- Verify that warnings no longer appear in intranet-error.log

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2016-07-07 15:43:07 UTC
Created attachment 53182 [details] [review]
Bug 16857: Check on item.branches makes more sense

The test should be on the existence of the item.branches
method/attribute

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2016-07-08 13:29:34 UTC
Pushed to master for 16.11, thanks Marc, Jonathan!
Comment 6 Frédéric Demians 2016-08-01 13:31:57 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 7 Julian Maurice 2016-08-16 15:29:17 UTC
Patches pushed to 3.22.x, will be in 3.22.10